import * as fs from 'fs';
import Mustache from 'mustache';
import path from 'path';
import { getData } from './src/site';

console.log(
  Mustache.render(
    fs.readFileSync(
      path.join(__dirname, '..', 'views', 'nginx.conf.mustache'),
      'utf8',
    ),
    getData(process.env),
    undefined,
    { escape: (v) => v },
  ),
);
